package com.bonus.boot.manager.basic.service.impl;


import com.bonus.boot.manager.basic.dao.SysLogDao;
import com.bonus.boot.manager.basic.entity.SysLogs;
import com.bonus.boot.manager.basic.service.SysLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * (SysLogs)表服务实现类
 *
 * @author makejava
 * @since 2023-01-07 16:33:39
 */
@Service("sysLogService")
public class SysLogServiceImpl implements SysLogService {

    @Resource
    private SysLogDao sysLogDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public SysLogs queryById(Integer id) {
        return this.sysLogDao.queryById(id);
    }


    /**
     * 新增数据
     *
     * @param sysLogs 实例对象
     * @return 实例对象
     */
    @Override
    public SysLogs insert(SysLogs sysLogs) {
        this.sysLogDao.insert(sysLogs);
        return sysLogs;
    }

    /**
     * 修改数据
     *
     * @param sysLogs 实例对象
     * @return 实例对象
     */
    @Override
    public SysLogs update(SysLogs sysLogs) {
        this.sysLogDao.update(sysLogs);
        return this.queryById(sysLogs.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.sysLogDao.deleteById(id) > 0;
    }
}
